package com.game.business.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.game.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


@Data
@TableName(value= "app_user_count")
@ApiModel(value = "app_user_count", description = "app用户统计")
public class AppUserCount {

    /** $column.columnComment */
    @ApiModelProperty(value = "主键ID")
    @TableId(value = "id" , type = IdType.AUTO)
    private Long id;

    @Excel(name = "时间")
    @TableField(value = "str_date")
    @ApiModelProperty(value = "时间(2000-01-01)")
    private String strDate;

    @Excel(name = "用户ID")
    @TableField(value = "user_id")
    @ApiModelProperty(value = "用户ID")
    private Long userId;

    @Excel(name = "上级用户ID")
    @TableField(value = "agent_user_id")
    @ApiModelProperty(value = "上级用户ID")
    private Long agentUserId;

    @Excel(name = "充值金额")
    @TableField(value = "recharge_amount")
    @ApiModelProperty(value = "充值金额")
    private double rechargeAmount;

    @Excel(name = "充值手续费")
    @TableField(value = "recharge_commission")
    @ApiModelProperty(value = "充值手续费")
    private double rechargeCommission;

    @Excel(name = "充值赠送（余额）")
    @TableField(value = "recharge_give")
    @ApiModelProperty(value = "充值赠送（余额）")
    private double rechargeGive;

    @Excel(name = "提现金额")
    @TableField(value = "withdrawal_amount")
    @ApiModelProperty(value = "提现金额")
    private double withdrawalAmount;

    @Excel(name = "提现手续费")
    @TableField(value = "withdrawal_commission")
    @ApiModelProperty(value = "提现手续费")
    private double withdrawalCommission;

    @Excel(name = "直播消费金额 (金币)")
    @TableField(value = "live_use_amount")
    @ApiModelProperty(value = "直播消费金额 （金币）")
    private double liveUseAmount;

    @Excel(name = "直播佣金")
    @TableField(value = "live_commission")
    @ApiModelProperty(value = "直播佣金")
    private double liveCommission;

    @Excel(name = "游戏-赢")
    @TableField(value = "game_win_amount")
    @ApiModelProperty(value = "游戏-赢")
    private double gameWinAmount;

    @Excel(name = "游戏-输")
    @TableField(value = "game_lose_amount")
    @ApiModelProperty(value = "游戏-赢")
    private double gameLoseAmount;

    @Excel(name = "游戏佣金")
    @TableField(value = "game_commission")
    @ApiModelProperty(value = "游戏佣金")
    private double gameCommission;
}
